
/**
 * Kist die geen breekbare borden mag bevatten en de totale
 * afmeting begrenst.
 */
public class ZwakkeKist implements Kist {

    // laat de limiet aftellen naar 0
    private double limietAfmeting;
    
    public ZwakkeKist (double limietAfmeting) {
        this.limietAfmeting = limietAfmeting;
    }
    
    public boolean isAanvaardbaar (Bord bord) {
        return ! bord.isBreekbaar() &&
                    limietAfmeting >= bord.getAfmeting();
    }
    
    public void nieuwBord (Bord bord) {
        limietAfmeting = limietAfmeting - bord.getAfmeting ();
        // andere notatie:
        // limietAfmeting -= bord.getAfmeting ();
    }
}
